Bug 26555

Summary: nouveau fails to fully resume nforce1 (nv1a) after S3
Product: xorg Reporter: Bruno <bonbons>
Component: Driver/nouveauAssignee: Nouveau Project <nouveau>
Status: REOPENED --- QA Contact: Xorg Project Team <xorg-team>
Severity: normal    
Priority: medium    
Version: unspecified   
Hardware: x86 (IA32)   
OS: Linux (All)   
Whiteboard:
i915 platform: i915 features:
Attachments:
Description Flags
Kernel log for both scenarios (debug messages not captured) none

Description Bruno 2010-02-13 07:49:26 UTC
Created attachment 33272 [details]
Kernel log for both scenarios (debug messages not captured)

Nouveau fails to fully resume from suspend to ram complaining with "PFIFO still angry after 101 spins" and monitor just shows garbage (advertised fallback software fbcon seems not to work). All is done with KMS on linux console, without running X.

02:00.0 VGA compatible controller [0300]: nVidia Corporation NVCrush11
        [GeForce2 MX Integrated Graphics] [10de:01a0] (rev b1)
(see bug #25619 for full lspci)

kernel version used: 2.6.33-rc8 from Linus + commit
d5f669822059651c4db1be94cbab605e1ba5a389 from nouveau/master.


I tried the following approaches, all ending at the same state:

suspend with nouveau loaded, it POSTs the GPU (which causes monitor to display "colorful flickering text console") and after doing modesetting displays garbage and complains about the angry PFIFO.

suspend while unloading nouveau before suspend and loading it after resume (not runing vbetool or anything special between resume and loading nouveau), in this case system resumes quickly without graphics, nouveau then hits the same issues as when it's resuming (though without POSTing GPU).

In either case switching back from nouveau to text console ends in the "colorful flickering text console" (back to nouveau after that does not help either).

It looks like either something is done in the wrong order or is missing for the GPU to get things done right.


Is there anything additional I could provide to help getting the resume
working properly?
Comment 1 Ilia Mirkin 2013-08-18 18:09:35 UTC
It appears that this bug report has laid dormant for quite a while. Sorry we haven't gotten to it. Since we fix bugs all the time, chances are pretty good that your issue has been fixed with the latest software. Please give it a shot. (Linux kernel 3.10.7, xf86-video-nouveau 1.0.9, mesa 9.1.6, or their git versions.) If upgrading to the latest isn't an option for you, your distro's bugzilla is probably the right destination for your bug report.

In an effort to clean up our bug list, we're pre-emptively closing all bugs that haven't seen updates since 2011. If the original issue remains, please make sure to provide fresh info, see http://nouveau.freedesktop.org/wiki/Bugs/ for what we need to see, and re-open this one.

Thanks,

The Nouveau Team
Comment 2 Bruno 2013-08-19 18:09:20 UTC
This still applies to 3.10.7.

Hard to tell what state GPU is in as monitor sees no signal after loading nouveau.

Though blind-running Xorg triggers lots of:
[  764.425134] nouveau W[   PFIFO][0000:02:00.0] unknown intr 0x00010000, ch 1
[  764.430002] nouveau W[   PFIFO][0000:02:00.0] unknown intr 0x00010000, ch 1
[  764.430002] nouveau W[   PFIFO][0000:02:00.0] unknown intr 0x00010000, ch 1
[  764.430002] nouveau W[   PFIFO][0000:02:00.0] unknown intr 0x00010000, ch 1
[  764.430002] nouveau W[   PFIFO][0000:02:00.0] unknown intr 0x00010000, ch 1
[  764.430002] nouveau W[   PFIFO][0000:02:00.0] unknown intr 0x00010000, ch 1
[  764.430002] nouveau W[   PFIFO][0000:02:00.0] unknown intr 0x00010000, ch 1
[  764.430002] nouveau W[   PFIFO][0000:02:00.0] unknown intr 0x00010000, ch 1
[  764.430002] nouveau W[   PFIFO][0000:02:00.0] unknown intr 0x00010000, ch 1
[  764.430002] nouveau W[   PFIFO][0000:02:00.0] unknown intr 0x00010000, ch 1
[  764.430002] nouveau W[   PFIFO][0000:02:00.0] unknown intr 0x00010000, ch 1
[  764.430002] nouveau W[   PFIFO][0000:02:00.0] unknown intr 0x00010000, ch 1
[  764.430002] nouveau W[   PFIFO][0000:02:00.0] unknown intr 0x00010000, ch 1
...
[  764.430002] nouveau E[   PFIFO][0000:02:00.0] still angry after 101 spins, halt
[  784.280022] nouveau E[Xorg[2242]] failed to idle channel 0xcccc0000 [Xorg[2242]]
[  784.290001] [sched_delayed] sched: RT throttling activated
[  787.280014] nouveau E[Xorg[2242]] failed to idle channel 0xcccc0000 [Xorg[2242]]
Comment 3 Bruno 2013-09-14 15:03:10 UTC
This still applies, with patches (attachment 84758 [details] [review] from bug #50375, or attachment 85214 [details] [review] and attachment 85215 [details] [review] from bug #50375) applied.

One one attempt with first patch applied on top of 3.11 I got some more-or-less tiled pattern with black tile content and random borders (big tiles).

One one attempt with the set of two patches I got rather uniform noise.

Writing to /dev/fb0 (from /dev/zero or /dev/urandom) does not seem to affect the noise displayed on the monitor.

Resume kernel log related to nouveau/gpu:
[  428.123511] nouveau  [     DRM] re-enabling device...
[  428.123519] nouveau  [     DRM] resuming kernel object tree...
[  428.123536] nouveau  [   VBIOS][0000:02:00.0] running init tables
[  428.280097] nouveau W[  PTIMER][0000:02:00.0] unknown input clock freq
[  428.287423] agpgart-nvidia 0000:00:00.0: AGP 2.0 bridge
[  428.287444] agpgart-nvidia 0000:00:00.0: putting AGP V2 device into 4x mode
[  428.287489] nouveau 0000:02:00.0: putting AGP V2 device into 4x mode
[  428.287493] nouveau  [     DRM] resuming client object trees...
[  428.287729] nouveau  [     DRM] resuming display...
[  428.294906] nouveau  [     DRM] 0xAFD8: Parsing digital output script table

Starting Xorg after resume produces:
[  960.420232] nouveau W[   PFIFO][0000:02:00.0] unknown intr 0x00010000, ch 1
[  960.427227] nouveau W[   PFIFO][0000:02:00.0] unknown intr 0x00010000, ch 1
[  960.430017] nouveau W[   PFIFO][0000:02:00.0] unknown intr 0x00010000, ch 1
[  960.430017] nouveau W[   PFIFO][0000:02:00.0] unknown intr 0x00010000, ch 1
[  960.430017] nouveau W[   PFIFO][0000:02:00.0] unknown intr 0x00010000, ch 1
...
[  960.430017] nouveau E[   PFIFO][0000:02:00.0] still angry after 101 spins, halt
and monitor displays noise (more colored) on the upper display half and black on the lower half

Starting a X client causes Xorg to complain with:
(EE) [mi] EQ overflow continuing.  200 events have been dropped.
(EE) 
(EE) Backtrace:
(EE) 0: Xorg (xorg_backtrace+0x49) [0x81f3af9]
(EE) 1: Xorg (mieqEnqueue+0xfc) [0x81d1e1c]
(EE) 2: Xorg (0x8048000+0x4b3cd) [0x80933cd]
(EE) 3: Xorg (xf86PostMotionEventM+0x26b) [0x80d27ab]
(EE) 4: /usr/lib/xorg/modules/input/evdev_drv.so (0xb7197000+0x413d) [0xb719b13d]
(EE) 5: /usr/lib/xorg/modules/input/evdev_drv.so (0xb7197000+0x5713) [0xb719c713]
(EE) 6: Xorg (0x8048000+0x791f1) [0x80c11f1]
(EE) 7: Xorg (0x8048000+0xa6896) [0x80ee896]
(EE) 8: linux-gate.so.1 (__kernel_sigreturn+0x0) [0xb778e400]
(EE) 9: linux-gate.so.1 (__kernel_vsyscall+0x10) [0xb778e424]
(EE) 10: /lib/libc.so.6 (ioctl+0x19) [0xb7536ae9]
(EE) 11: /usr/lib/libdrm.so.2 (drmIoctl+0x34) [0xb76b06c4]
(EE) 12: /usr/lib/libdrm.so.2 (drmCommandWrite+0x3c) [0xb76b31ec]
(EE) 13: /usr/lib/libdrm_nouveau.so.2 (nouveau_bo_wait+0xaa) [0xb778651a]
(EE) 14: /usr/lib/xorg/modules/drivers/nouveau_drv.so (0xb7280000+0x5875) [0xb7285875]
(EE) 15: /usr/lib/xorg/modules/libexa.so (0xb723f000+0x59c0) [0xb72449c0]
(EE) 16: /usr/lib/xorg/modules/libexa.so (0xb723f000+0x5e35) [0xb7244e35]
(EE) 17: /usr/lib/xorg/modules/libexa.so (0xb723f000+0x8787) [0xb7247787]
(EE) 18: /usr/lib/xorg/modules/libexa.so (0xb723f000+0x490c) [0xb724390c]
(EE) 19: /usr/lib/xorg/modules/libexa.so (0xb723f000+0x11a98) [0xb7250a98]
(EE) 20: /usr/lib/xorg/modules/libexa.so (0xb723f000+0x8c50) [0xb7247c50]
(EE) 21: Xorg (miFillGeneralPoly+0x4f9) [0x81df049]
(EE) 22: Xorg (miFillPolygon+0x66) [0x81de486]
(EE) 23: Xorg (0x8048000+0x129deb) [0x8171deb]
(EE) 24: Xorg (0x8048000+0x312c1) [0x80792c1]
(EE) 25: Xorg (0x8048000+0x3504d) [0x807d04d]
(EE) 26: Xorg (0x8048000+0x2267a) [0x806a67a]
(EE) 27: /lib/libc.so.6 (__libc_start_main+0xe6) [0xb746d596]
(EE) 28: Xorg (0x8048000+0x22a19) [0x806aa19]
[x11-drivers/xf86-video-nouveau-1.0.9, x11-libs/libdrm-2.4.46, media-libs/mesa-9.1.6]

Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.